ranges::views::set_intersection_fn Struct Reference
Inheritance diagram for ranges::views::set_intersection_fn:

## Synopsis of methods

constexpr set_intersection_fn | set_intersection {}

## Public Member Functions

template<typename Rng2 , typename C = less, typename P1 = identity, typename P2 = identity>
CPP_TEMPLATE_AUX_0 | c (requires ` viewable_range< Rng2 > &&input_range< Rng2 > &&(!range< C >)) ccconstexpr auto operator()(Rng2 &&rng2
Public Member Functions inherited from ranges::views::set_intersection_base_fn
CPP_TEMPLATE_AUX_0 P2 | operator() (Rng1 &&rng1, Rng2 &&rng2, C pred=C{}, P1 proj1=P1{}, P2 proj2=P2{}) const
template<typename Rng1 , typename Rng2 , typename C = less, typename P1 = identity, typename P2 = identity>
CPP_TEMPLATE_AUX_0 | s (requires ` viewable_range< Rng1 > &&input_range< Rng1 > &&viewable_range< Rng2 > &&input_range< Rng2 > &&indirect_relation< C, projected< iterator_t< Rng1 >, P1 >, projected< iterator_t< Rng2 >, P2 >>) ssset_intersection_view< all_t< Rng1 >

## Public Attributes

CPP_TEMPLATE_AUX_0 C && | pred = C{}
CPP_TEMPLATE_AUX_0 C P1 | proj1 = P1{}
Public Attributes inherited from ranges::views::set_intersection_base_fn
CPP_TEMPLATE_AUX_0 | all_t< Rng2 >
CPP_TEMPLATE_AUX_0 | C
CPP_TEMPLATE_AUX_0 | P1